Labeling points 3.0


#1

I am attempting to label points that have been plugged in from a MicroScribe 3D digitizer. I used the Text function but I’d prefer something a little more discreet. Any help would be appreciated!

Thanks guys!


#2

How many points are there? How would you like them to be labeled? --Mitch


#3

Right now I have around 19 points. I’m attempting to digitize a human cranium and I’m labeling the landmarks for cranially measuring them in 3 dimensional space.

I suppose a simple text box to associate the individual points/landmarks but nothing that will take up or cloud the 3d model.

Thanks!

-James


(Matt Gaydon) #4

You could just name the points in the Properties box so nothing was in screen but if you select it you would know which one it was. Also you could then use SelName to select one directly.

Should not be to hard to make a small script to name them all if they are just requiring a simple number count a suffix though if they are all unique names I would do them by hand.

I would have a look see if some has made a script to name them as they are created with the MircoScribe too saving you time selecting them afterwards.


#5

Peter Harris’ NameObjects command is very helpful for adding names to a selection of objects quickly
http://wiki.mcneel.com/people/peterharris


(Willem Derks) #6

Hi James,

FWIW:
Another approach: why not label with textdot and put them on a different layer?
You can turn that layer On/Off at will.


#7

Wow, thanks for the question asking, and responses. I haven’t tried the simple TEXT command, and applying to a dot, That’s pretty cool, you get the backround and no closed curves garbage.

Also, The Peter’s Tools is way sweep. I’ll particularily be likin the Split/Trim Commands, the flatten to x, y, or y, with options for 0, the ultra fast naming command, timer command, naming all selected objects, open without closing, hide all points, hide all curves (saves 1 step), zoom unlocked/locked, and the materials/wight/density tools! Wow. Thanks very much to Peter & Helpers.

I think that doing the selecting all the points, doing the name with Peter’s tools with a name and number. Then doing points layer, and sublayer for each point/renameing each sublayer is the way to go.

The more complex things get, the more reason organization is important as well as becoming proficient at selecting tools, locking, hiding.


#8

How would I label it with a textdot? I cannot for the life of me find the function for it.

Thanks!


#9

There is the command “Dot” and “DotWithData”. The latter annotates geometry but it doesn’t seem to attach to it. It’s in the PetersTools plugin.


#10

I guess it’s pretty simple. A dot is not a point. Command: Dot

so, with your pre-existing points, you add text via the dot command. so command: dot, then enter your text, then you will choose your preexisting point as the the dot spot. Then if you want the text displayed, double click on the dot, and the text will pop up. From there you either have to hide the text, or delete it. So, I would double click on the point/dot to see what it is, then undo instead.

Cool beans, were learnin together. I’ma be looking into data dots, awesome.

http://docs.mcneel.com/rhino/5/help/en-us/commands/dot.htm

Whoops, I guess you cant get rid of the text.


(Matt Gaydon) #11

If you want to convert Text to TextDots and delete the original, Try this till script I wrote the other day. Save you work as first as only tested it on small set of text.

import rhinoscriptsyntax as rs
def ConvertTexttoTextDot():
    objs = rs.GetObjects("Select text",512, True, True )
    if objs is None :return
    for obj in objs:
        txt = rs.TextObjectText(obj)
        pt =rs.TextObjectPoint(obj)
        rs.AddTextDot(txt,pt)
        rs.DeleteObject(obj)
ConvertTexttoTextDot()